Bug 196258 - CVE-2006-3017 zend_hash_del bug
CVE-2006-3017 zend_hash_del bug
Status: CLOSED ERRATA
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
reported=20060516,impact=moderate,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 04:46 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0549
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:57:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-06-22 04:46:35 EDT
+++ This bug was initially created as a clone of Bug #196256 +++

CVE-2006-2657: A bug in zend_hash_del() allowed attackers to prevent
unsetting of some variables.  Fixed upstream in PHP 5.1.4

This could be bad for scripts where register_globals is on as often variables
are only initialized by unsetting them,  but it could also have side effects on
other scripts depending on the script.

Upstream fix:

http://cvs.php.net/viewcvs.cgi/Zend/zend_hash.c?hideattic=0&r1=1.87.4.8.2.1&r2=1.87.4.8.2.2
Comment 2 Red Hat Bugzilla 2006-07-27 15:57:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0549.html

Note You need to log in before you can comment on or make changes to this bug.